// src/utils/EventBus.js
import Vue from 'vue'

// 创建一个新的 Vue 实例作为事件总线
const EventBus = new Vue()

/**
 * 日志_工位操作_增加
 * @param vueThis
 * @param msgInfo msgType: INFO ERROR, operationType: LOGIN LOGOUT BARCODE
 */
export function logAdd(vueThis, msgInfo) {
  var param = []
  param[0] = ['工位号', msgInfo.stationNumber]
  param[1] = ['消息类型', msgInfo.msgType]
  param[2] = ['操作类型', msgInfo.operationType]
  param[3] = ['内容', msgInfo.Content]
  var Data = vueThis.CreateData('12', '日志_工位操作_增加', param)
  vueThis.ExecDatabase(Data)
}
export function setOpBarcodeStatus(vueThis, msgInfo) {
  const param = []
  param[0] = ['工位号', msgInfo.stationNumber]
  param[1] = ['当前状态', msgInfo.status]
  const Data = vueThis.CreateData('12', '测量数据工位_监控系统_工位扫码状态_修改', param)
  vueThis.ExecDatabase(Data)
}
// 导出这个实例
export default EventBus
